﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGridLinesCase
{
    public class ViewModel
    {
        public ObservableCollection<FoodClass> Data { get; set; }
        private string[] foods = { "Seafood", "Meat", "Fruit", "Vegetables", "Various Munchies" };
        private double[] prices = { 1.99, 2.99, 3.99, 4.99, 5.99 };
        private int[] uis = { 10, 20, 30, 40, 50 };
        private int[] uoo = { 5, 10, 15, 20, 25 };

        public ViewModel()
        {
            Data = new ObservableCollection<FoodClass>();
            for (int i = 0; i < foods.Length; i++)
            {
                Data.Add(new FoodClass
                {
                    FoodType = foods[i],
                    Price = prices[i],
                    UnitsInStock = uis[i],
                    UnitsOnOrder = uoo[i]
                });
            }
        }
    }
    public class FoodClass
    {
        public string FoodType { get; set; }
        public double Price { get; set; }
        public int UnitsInStock { get; set; }
        public int UnitsOnOrder { get; set; }
    }
}
